export function Canvas(props?: {}): import("@lightningjs/solid").SolidNode;
declare namespace config {
    let debug: boolean;
    let animationsEnabled: boolean;
    namespace animationSettings {
        let duration: number;
        let easing: string;
    }
    namespace fontSettings {
        let fontFamily: string;
        let fontSize: number;
    }
}
export class ElementNode extends Object {
    lng: null;
    _parent: null;
    name: any;
    rendered: boolean;
    autofocus: boolean;
    _renderProps: {
        x: number;
        y: number;
    };
    children: Children;
    set effects(v: any);
    get effects(): any;
    _effects: any;
    set shader(v: any);
    get shader(): any;
    set parent(p: null);
    get parent(): null;
    _shader: any;
    _sendToLightningAnimatable(name: any, value: any): any;
    _sendToLightning(name: any, value: any): void;
    animate(props: any, animationSettings: any): any;
    setFocus(): void;
    isTextNode(): boolean;
    _resizeOnTextLoad(): void;
    width: any;
    height: any;
    getText(): string;
    destroy(): void;
    set style(value: any);
    get style(): any;
    _style: any;
    get hasChildren(): boolean;
    set states(states: any);
    get states(): any;
    _states: any;
    set animationSettings(animationSettings: any);
    get animationSettings(): any;
    _animationSettings: any;
    updateLayout(child: any, dimensions: any): void;
    _stateChanged(): void;
    _undoStates: any;
    transition: any;
    render(): void;
}
export function Text(props: any): import("@lightningjs/solid").SolidNode;
declare var intrinsicTypes: Readonly<{
    __proto__: null;
}>;
export function View(props: any): import("@lightningjs/solid").SolidNode;
export const activeElement: import("solid-js").Accessor<null>;
export const createComponent: typeof createComponent$1;
export const createElement: any;
export let createShader: any;
export const createTextNode: any;
/**
 * Converts degrees to radians
 */
export function deg2rad(deg: any): number;
export const effect: typeof createRenderEffect;
/**
 * Converts a color string to a color number value.
 */
export function hexColor(color?: string): string | number;
export function insert(parent: any, accessor: any, marker: any, initial: any): any;
export const insertNode: any;
export const memo: typeof createMemo;
export const mergeProps: typeof mergeProps$1;
export function render(code: any, element: any): undefined;
export let renderer: any;
export const setActiveElement: import("solid-js").Setter<null>;
export function setProp(node: any, name: any, value: any, prev: any): any;
export function spread(node: any, accessor: any, skipChildren: any): void;
export function startLightningRenderer(options?: {}): RendererMain;
export function use(fn: any, element: any, arg: any): any;
/**
 * Children class
 */
declare class Children extends Array<any> {
    constructor(node: any);
    _parent: any;
    get selected(): any;
    get firstChild(): any;
    insert(node: any, beforeNode: any): void;
    remove(node: any): void;
}
import { createComponent as createComponent$1 } from 'solid-js';
import { createRenderEffect } from 'solid-js';
import { createMemo } from 'solid-js';
import { mergeProps as mergeProps$1 } from 'solid-js';
import { RendererMain } from '@lightningjs/renderer';
export { config as Config, intrinsicTypes as Types };
export { ErrorBoundary, For, Index, Match, Show, Suspense, SuspenseList, Switch } from "solid-js";
